const path = require('path');

module.exports = {
  mode: 'production',
  target: "web",
  entry: path.resolve(__dirname, 'Frontend.ts'),
  output: {
      path: path.resolve(__dirname, '..', 'js', 'rpclibrary.browser.js'),
      filename: "Frontend.js",
      libraryTarget: 'commonjs',
  },
  resolve: {
    extensions: [".ts", ".tsx", ".js"]
  },
  module: {
    rules: [
      { test: /\.ts?$/, loader: "ts-loader" }
    ]
  },
  optimization: {
    minimize: false,
  },
  externals: {
  }
}